Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Mapper
Class DerivationNode

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<TreeNode<E>>
                  Util.Structures.TreeNode<Symbol>
                      Mapper.DerivationNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<TreeNode<Symbol>>, java.util.Collection<TreeNode<Symbol>>, java.util.List<TreeNode<Symbol>>, java.util.RandomAccess

    public class DerivationNode

extends TreeNode<Symbol>

Author:
  eliott bartley
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`DerivationNode()`
`DerivationNode(TreeNode<Symbol> copy)`
`DerivationNode(TreeNode<Symbol> parent, Symbol data)`

Method Summary
`int` | `getCodonIndex()` Get the index of the codon used to choose the child (production) of this tree node. -1 is returned if no codon was used (e.g., if production was choosen because it was the only one to pick)
`int` | `getCodonPick()` Get the production picked by the codon. -1 is returned if no codon was used (e.g., if production was choosen because it was the only one to pick)
`int` | `getDepth()` Get depth of this node in the tree
`void` | `setCodonIndex(int codonIndex, int codonValue, int codonPick)`
`void` | `setDepth(int d)` Set depth of this node and it's children
`java.lang.String` | `toString()` Build the string using a textural tree-view

Methods inherited from class Util.Structures.TreeNode
`add, collapse, getData, getEnd, getID, getInfo, getMaxDepth, getParent, main, setData, setID, setInfo, setParent`

Methods inherited from class java.util.ArrayList
`add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### DerivationNode

    public DerivationNode()

### DerivationNode

    public DerivationNode(TreeNode<Symbol> copy)

### DerivationNode

    public DerivationNode(TreeNode<Symbol> parent,
                          Symbol data)

Method Detail

### setCodonIndex

    public void setCodonIndex(int codonIndex,
                              int codonValue,
                              int codonPick)

### setDepth

    public void setDepth(int d)

  Description copied from class: `TreeNode`
  Set depth of this node and it's children

  Overrides:
    `setDepth` in class `TreeNode<Symbol>`
  Parameters:
    `d` - depth

### getDepth

    public int getDepth()

  Description copied from class: `TreeNode`
  Get depth of this node in the tree

  Overrides:
    `getDepth` in class `TreeNode<Symbol>`
  Returns:
    node's depth

### getCodonIndex

    public int getCodonIndex()

  Get the index of the codon used to choose the child (production) of this tree node. -1 is returned if no codon was used (e.g., if production was choosen because it was the only one to pick)

### getCodonPick

    public int getCodonPick()

  Get the production picked by the codon. -1 is returned if no codon was used (e.g., if production was choosen because it was the only one to pick)

### toString

    public java.lang.String toString()

  Build the string using a textural tree-view

  Overrides:
    `toString` in class `TreeNode<Symbol>`
  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD